import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useSessionStore = defineStore('session', () => {
  const token: Ref<object> | Ref<null> = ref(null)

  function login(token_login: object) {
    token.value = token_login
  }

  function logout() {
  }

  return { token, login, logout }
}, { persist: true })
